<?php
/*
 * @version $Id: checks.php 124 2012-07-04 12:29:03Z remi $
 -------------------------------------------------------------------------
 dumpentity - DumpEntity plugin for GLPI
 Copyright (C) 2003-2011 by the dumpentity Development Team.

 https://forge.indepnet.net/projects/dumpentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of dumpentity.

 dumpentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 dumpentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with dumpentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
*/

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------

define('DO_NOT_CHECK_HTTP_REFERER', 1);
define('GLPI_ROOT', '../../..');
include (GLPI_ROOT."/inc/includes.php");

if (isset($_GET['check'])) {
   if ($_GET['version'] >= PluginDumpentityModel::LOADENTITY_VERSION_REQUIRE
       && $_GET['dbschema'] == PluginDumpentityModel::DUMPENTIY_DB_SCHEMA) {
      echo 0;
   } else {
      if ($_GET['version'] < PluginDumpentityModel::LOADENTITY_VERSION_REQUIRE) {
         echo 1;
      } else {
         echo 2;
      }
   }

} else if (isset($_GET['check_time'])) {
   $client = new PluginDumpentityClient();
   if (!$client->getFromDBForIP()) {
      echo '1';
   } else {
      if (!$client->plugin_dumpentity_checkTimeExclusion()) {
         echo '0';
      } else {
         echo '1';
      }
   }

} else if (isset($_GET['is_recursive'])) {
   $client = new PluginDumpentityClient();
   if (!$client->getFromDBForIP()) {
      echo '0';
   } else {
      if (!$client->fields['is_recursive']) {
         echo '0';
      } else {
         echo '1';
      }
   }
}
?>