<?php
/*
 * @version $Id: config.form.php 120 2011-11-08 11:31:54Z remi $
 -------------------------------------------------------------------------
 dumpentity - DumpEntity plugin for GLPI
 Copyright (C) 2003-2011 by the dumpentity Development Team.

 https://forge.indepnet.net/projects/dumpentity
 -------------------------------------------------------------------------

 LICENSE

 This file is part of dumpentity.

 dumpentity is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 dumpentity is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with dumpentity. If not, see <http://www.gnu.org/licenses/>.
 --------------------------------------------------------------------------
 */

// Original Author of file: Remi Collet
// Purpose of file:
// ----------------------------------------------------------------------
if (!defined('GLPI_ROOT')) {
   define('GLPI_ROOT', '../../..');
}

include (GLPI_ROOT."/inc/includes.php");

Html::header($LANG['plugin_dumpentity']['setup'][2], $_SERVER["PHP_SELF"], "config", "plugins");

echo "<table class='tab_cadre' cellpadding='6'>\n";
echo "<tr><th>".$LANG['plugin_dumpentity']['setup'][2]."</th></tr>\n";

if (Session::haveRight("profile","w")) {
   echo "<tr class='tab_bg_1'>";
   echo "<td class='center'><a href=\"../front/model.php\">".
         $LANG['plugin_dumpentity']['setup'][7]."</a></td/></tr>";
   echo "<tr class='tab_bg_1'><td class='center'>";
   echo "<a href=\"../front/client.php\">".
         $LANG['plugin_dumpentity']['setup'][5]."</a></td/></tr>";
}

echo "</table>\n";
Html::footer();
?>
